TreeNodeFunctionalityEvent (VRE Definition Portlet 4.3.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.admin.vredefinition.client.event

## Class TreeNodeFunctionalityEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<TreeNodeFunctionalityEventHandler>
    - - org.gcube.portlets.admin.vredefinition.client.event.TreeNodeFunctionalityEvent

-     public class TreeNodeFunctionalityEvent
      extends com.google.gwt.event.shared.GwtEvent<TreeNodeFunctionalityEventHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<TreeNodeFunctionalityEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeNodeFunctionalityEvent(VREFunctionalityModel functionality)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(TreeNodeFunctionalityEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<TreeNodeFunctionalityEventHandler>` | `getAssociatedType()`
    `VREFunctionalityModel` | `getFunctionalityModel()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<TreeNodeFunctionalityEventHandler> TYPE

  - ### Constructor Detail

    - #### TreeNodeFunctionalityEvent

          public TreeNodeFunctionalityEvent(VREFunctionalityModel functionality)

  - ### Method Detail

    - #### getFunctionalityModel

          public VREFunctionalityModel getFunctionalityModel()

    - #### dispatch

          protected void dispatch(TreeNodeFunctionalityEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<TreeNodeFunctionalityEventHandler>`

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<TreeNodeFunctionalityEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<TreeNodeFunctionalityEventHandler>`

Copyright © 2015. All Rights Reserved.